Skip to main content
配信メッセージ一覧
curl --request GET \
  --url https://api.utage-system.com/v1/accounts/{account_id}/scenarios/{scenario_id}/messages \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "title": "<string>",
      "mail": {
        "subject": "<string>",
        "from_name": "<string>",
        "from_mail": "<string>"
      },
      "line": {
        "messages_count": 123
      },
      "created_at": "<string>",
      "updated_at": "<string>"
    }
  ],
  "meta": {
    "current_page": 123,
    "per_page": 123,
    "total": 123
  }
}
GET
https://api.utage-system.com/v1/accounts/{account_id}/scenarios/{scenario_id}/messages
この機能はプレビュー版です。仕様が変更される場合があります。

Authorizations

Authorization
string
header
required

APIキーをBearerトークンとして指定

Path Parameters

account_id
string
required

アカウントID

scenario_id
string
required

シナリオID

Query Parameters

channel
enum<string>

媒体で絞り込み

  • mail: メール
  • line: LINE
  • sms: SMS
  • action: アクション
Available options:
mail,
line,
sms,
action
type
enum<string>

配信タイプで絞り込み

  • broadcast: 一斉送信
  • step: ステップ配信
  • reminder: リマインダ配信
Available options:
broadcast,
step,
reminder
status
enum<string>

ステータスで絞り込み

  • draft: 下書き
  • reserved: 予約中
  • sending: 送信中
  • completed: 配信済
Available options:
draft,
reserved,
sending,
completed
page
integer

ページ番号

Required range: x >= 1
per_page
integer
default:20

1ページあたりの件数(既定20・最大100。超過時は100に丸められます)

Required range: 1 <= x <= 100

Response

配信メッセージ一覧

data
object[]
meta
object